Method: dashboards.batchMigrate

Full name: projects.locations.instances.dashboards.batchMigrate

Batch migrate legacy dashboards to native dashboards.

HTTP request

POST https://{endpoint}/v1alpha/{parent}/dashboards:batchMigrate

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource where the dashboards will be migrated. Format: projects/{project}/locations/{region}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "dashboards": [
    string
  ]
}
Fields
dashboards[]

string

Required. The resource names of the dashboards to migrate.

Response body

Response message for batch migrating dashboards.

If successful, the response body contains data with the following structure:

JSON representation
{
  "migrationJobId": string,
  "jobMigrationStatus": enum (JobMigrationState),
  "endTime": string
}
Fields
migrationJobId

string

Output only. The ID of the migration job.

jobMigrationStatus

enum (JobMigrationState)

Output only. The status of the migration job.

endTime

string (Timestamp format)

Output only. The time when the migration job ended.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.